| Home | Libraries | People | FAQ | More

##### posix::basic_stream_descriptor::lowest_layer (1 of 2 overloads)

Inherited from posix::basic_descriptor.

Get a reference to the lowest layer.

    lowest_layer_type & lowest_layer();

This function returns a reference to the lowest layer in a stack of layers. Since a `posix::basic_descriptor` cannot contain any further layers, it simply returns a reference to itself.

###### Return Value

A reference to the lowest layer in the stack of layers. Ownership is not transferred to the caller.